POST shipment/v1/quotations/door-to-door

No documentation available.

Request Information

Parameters

NameDescriptionAdditional information
_quoDetails
No documentation available.

Define this parameter in the request body.

Request body formats

application/json, text/json

Sample:
{
  "weight": 1,
  "volume": 2.1,
  "poRUnCode": "sample string 3",
  "poDUnCode": "sample string 4",
  "productType": "sample string 5",
  "cargoClass": "sample string 6",
  "accountId": 7,
  "isHazardousMaterial": true,
  "additionalServices": {},
  "currencyCode": "sample string 10",
  "cargoReadyDate": "sample string 11",
  "prepaidCollect": "sample string 12",
  "fromType": "sample string 13",
  "toType": "sample string 14",
  "dimensionList": [
    {
      "weight": 1,
      "length": 2,
      "width": 3,
      "height": 4,
      "quantity": 5
    },
    {
      "weight": 1,
      "length": 2,
      "width": 3,
      "height": 4,
      "quantity": 5
    },
    {
      "weight": 1,
      "length": 2,
      "width": 3,
      "height": 4,
      "quantity": 5
    }
  ]
}

application/xml, text/xml

Sample:
<Quatation_door_to_door xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/eonepayapi.Models">
  <accountId>7</accountId>
  <additionalServices />
  <cargoClass>sample string 6</cargoClass>
  <cargoReadyDate>sample string 11</cargoReadyDate>
  <currencyCode>sample string 10</currencyCode>
  <dimensionList>
    <Dimensions>
      <height>4</height>
      <length>2</length>
      <quantity>5</quantity>
      <weight>1</weight>
      <width>3</width>
    </Dimensions>
    <Dimensions>
      <height>4</height>
      <length>2</length>
      <quantity>5</quantity>
      <weight>1</weight>
      <width>3</width>
    </Dimensions>
    <Dimensions>
      <height>4</height>
      <length>2</length>
      <quantity>5</quantity>
      <weight>1</weight>
      <width>3</width>
    </Dimensions>
  </dimensionList>
  <fromType>sample string 13</fromType>
  <isHazardousMaterial>true</isHazardousMaterial>
  <poDUnCode>sample string 4</poDUnCode>
  <poRUnCode>sample string 3</poRUnCode>
  <prepaidCollect>sample string 12</prepaidCollect>
  <productType>sample string 5</productType>
  <toType>sample string 14</toType>
  <volume>2.1</volume>
  <weight>1</weight>
</Quatation_door_to_door>

application/x-www-form-urlencoded

Sample:

Failed to generate the sample for media type 'application/x-www-form-urlencoded'. Cannot use formatter 'JQueryMvcFormUrlEncodedFormatter' to write type 'Quatation_door_to_door'.

Response Information

No documentation available.

Response body formats

application/json, text/json

Sample:
{
  "Status": true,
  "Message": "sample string 2",
  "Data": {}
}

application/xml, text/xml

Sample:
<ResponseEntity xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/">
  <Data />
  <Message>sample string 2</Message>
  <Status>true</Status>
</ResponseEntity>